Subject: Re: NHRP question

From: [email-masked] (Rajeev Gupta)
Date: Thu, 20 Nov 1997 11:48:16 -0800

> From [email-masked]  Thu Nov 20 06:35:48 1997
> > 
> Since according to Joel all the NHSs on an NBMA could have the same
> anycast address, if the address(es) of the servicing NHS(s) 
> are anycast/multicast, then what are the mechanisms by which such a
> point-to-point connection will be established only to the NHS(s)
> serving the LAG that the NHC belongs to.

Routing of ATM connections to anycast addresses occurs based on
PNNI, which finds the topologically closest ATM endpoint within
the specified scope of the anycast address. Since this is completely
independent of L3 (IP) addressing and routing mechanisms, it is
upto the network administrator to assign L3 (IP) and ATM (unicast
and anycast) addresses appropriately and to configure the NHCs
with the correct (anycast) ATM address of serving NHSs.

Even if the NHC establishes a connection to the "wrong" NHS, the
NHS will typically forward the resolution request to the correct
NHS (assuming that L3 routing is working correctly and the routing
tables in routers/NHSs are consistent) which will then send the
resolution reply to the NHC.

If there is a specific problem that you see in this scenario, it
will be helpful to point that out.

______________________________________________________________________
Rajeev Gupta                            Trillium Digital Systems, Inc.
mailto:[email-masked]                     http://www.trillium.com

---

From: Yakov Rekhter <[email-masked]>
Date: Thu, 20 Nov 97 12:32:46 PST

Rajeev,

> resolution reply to the NHC.

In the case when there is more than one egress NHS that could be used 
to reach a particular destination, which one is the "correct" one ?

Yakov.

---

From: Joel Halpern <[email-masked]>
Date: Thu, 20 Nov 1997 16:27:37 -0500 (EST)

> to reach a particular destination, which one is the "correct" one ?
Any one.  You ask your default  Since they are routers, it does not matter
which one you start at.

Yours,
Joel M. Halpern                         [email-masked]
Newbridge Networks Inc.

---

From: Yakov Rekhter <[email-masked]>
Date: Thu, 20 Nov 97 14:15:49 PST

Joel,

> Any one.  You ask your default.

You are configured with an anycast address of an NHS server, and
you ask an NHS that has that *anycast address*. If all the
NHSs on NBMA have the *same* anycast address, what guarantees
that the NHS you asked is your default router ?

Yakov.